# Command: cvi_s

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    cvi_s - convert string to integer

Synopsis:

    string cvi_s -> integer

Examples:

    (23)   cvi_s -> 23
      (23.5)  cvi_s -> 23
      (NEST)  cvi_s -> 0

Description:

    This is a wrapper to the standard C "atoi"-routine.
      If cvi_s is executed with a string that contains letters 0 is returned.

Bugs:

    -

Diagnostics:

    No errors are raised.
      In case of impossible conversion, zero is returned.

Author:

    R Kupper

FirstVersion:

    Nov 05 1999

SeeAlso:

- cvi
- cvd
- cvs

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/sli/slidata.h

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative